## apt-build 0.12.45

=== Makefile ===
# $Id$

APT_BUILD = apt-build
APT_BUILD_WRAPPER = apt-build-wrapper
WRAP_PROGRAMMS = gcc cc g++ c++ make gfortran
CFLAGS = -W -Wall -Wextra -std=gnu99 -pipe -Wundef -Wshadow -Wcast-align \
	 -Wwrite-strings -Wsign-compare -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
	 -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn -D_GNU_SOURCE -g
INSTALL = install
LN_S = ln -s
BINDIR = $(DESTDIR)/usr/bin
APT_BUILD_DIR = $(DESTDIR)/usr/lib/apt-build
HOST_TYPE = 

all: $(APT_BUILD_WRAPPER)
	$(MAKE) -C man/

$(APT_BUILD_WRAPPER): wrapper.c config.o
	$(CC) $(CFLAGS) -o $@ $^

install:	$(APT_BUILD_WRAPPER) $(APT_BUILD)
	$(INSTALL) -g 0 -o 0 -d $(BINDIR)
	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD) $(BINDIR)
	$(INSTALL) -g 0 -o 0 -d $(APT_BUILD_DIR)
	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)
	for prog in $(WRAP_PROGRAMMS); do \
		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$$prog; \
	done
ifneq ($(HOST_TYPE),)
	for prog in gcc g++ gfortran; do \
		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$(HOST_TYPE)-$$prog; \
	done
endif

clean:
	rm -f *.o $(APT_BUILD_WRAPPER) cc.wrapper.c make.wrapper.c
	$(MAKE) -C man/ clean

=== debian/changelog ===
apt-build (0.12.45) unstable; urgency=medium

  * QA upload
  * Use per-repo "deb [trusted=yes] ..." instead of global "-o
    Apt::Get::AllowUnauthenticated=true". (Closes: #659015)
    + Bump versioned apt dependency to 0.8.16~exp3 for trusted=yes
    + Automatically add [trusted=yes] to existing generated file
      /etc/apt/sources.list.d/apt-build.list in postinst.
    + Use "grep -F" instead of "grep" to search for the whole "deb" line
      in postinst to avoid the brackets around trusted=yes being parsed as
      character class.
  * Update Vcs-* URLs to current canonical forms and use collab-maint
    repository instead of the apt-build project one's while being under QA
    maintenance to allow write access to all DDs.

 -- Axel Beckert <abe@debian.org>  Wed, 01 Apr 2015 02:42:19 +0200

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), po4a, po-debconf
Standards-Version: 3.9.3
#Vcs-Git: git://anonscm.debian.org/apt-build/apt-build.git
#Vcs-Browser: https://anonscm.debian.org/cgit/apt-build/apt-build.git
Vcs-Git: git://anonscm.debian.org/collab-maint/apt-build.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-build.git

Package: apt-build
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apt (>= 0.8.16~exp3), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
Pre-Depends: dpkg (>= 1.15.7.2~)
Recommends: fakeroot, build-essential
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH           := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_SYSTEM     := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	
	# Add here commands to compile the package.
	$(MAKE)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	debconf-updatepo
	# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) DESTDIR=debian/apt-build HOST_TYPE=$(DEB_HOST_GNU_TYPE) install
	
	# Add here commands to install the package into debian/apt-build.
	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
	
	install -d -m 755 debian/apt-build/usr/share/apt-build
	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf 
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-build 0.12.47

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 APT_BUILD = apt-build
 APT_BUILD_WRAPPER = apt-build-wrapper
 WRAP_PROGRAMMS = gcc cc g++ c++ make gfortran
-CFLAGS = -W -Wall -Wextra -std=gnu99 -pipe -Wundef -Wshadow -Wcast-align \
+CFLAGS += -W -Wall -Wextra -std=gnu99 -pipe -Wundef -Wshadow -Wcast-align \
 	 -Wwrite-strings -Wsign-compare -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
 	 -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn -D_GNU_SOURCE -g
 INSTALL = install
@@ -16,7 +16,7 @@
 	$(MAKE) -C man/
 
 $(APT_BUILD_WRAPPER): wrapper.c config.o
-	$(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 install:	$(APT_BUILD_WRAPPER) $(APT_BUILD)
 	$(INSTALL) -g 0 -o 0 -d $(BINDIR)

=== debian/changelog ===
apt-build (0.12.47) unstable; urgency=medium

  * QA upload.
  * Also remove /etc/apt/sources.list.d/apt-build.list on purge.
    (Closes: #852126)
  * postinst: Use "apt-build build-repository" instead of sed to create
    the initial Release file.
  * Use apt-ftparchive to generate Release files instead of doing it
    manually (and partially wrong). (Closes: #851912)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 00:33:08 +0100

apt-build (0.12.46) unstable; urgency=medium

  * QA upload.

  [ Santiago Vila ]
  * Fix postinst compatibility with stricter sed syntax in more recent sed
    releases. (Closes: #851814)

  [ Axel Beckert ]
  * Switch Vcs-Git headers from git:// to https://.
  * Make debian/control non-executable.
  * Enable all hardening build flags.
  * Declare compliance with Debian Policy 3.9.8.
  * Apply "wrap-and-sort -a".
  * Cherry-pick changes to several packaging files from commit 24b41459 by
    Dominique Lasserre from the never completed 0.13.1 release in the
    master branch. (See below.)
  * Remove /var/cache/apt-build/ on purge. (Closes: #672183)
  * Add a Date header to generated Release files (and hence
    unconditionally recreate the Release file) as required by the Debian
    Repository Format (c.f. https://wiki.debian.org/RepositoryFormat)
  * Quick and dirty implementation of SHA256 fields in apt-build's Release
    files to get rid of apt's "No Hash entry in Release file" warning.

  [ Dominique Lasserre ]
  * Switch copyright format to DEP-5 1.0.
  * Simplify debian/rules.
  * Suggest gfortran. (c.f. #502379)

  [ Américo Monteiro ]
  * Added Portuguese translation of manpage. (Closes: #757296)

 -- Axel Beckert <abe@debian.org>  Thu, 19 Jan 2017 21:56:57 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_install:
	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
	install -d -m 755 debian/apt-build/usr/share/apt-build
	install -m 644 debian/apt-build.release.conf debian/apt-build/usr/share/apt-build/

## apt-build 0.12.48

=== debian/changelog ===
apt-build (0.12.48) unstable; urgency=medium

  * QA upload.
  * Use debhelper-compat and bump it to 13
  * Bump Standards Version to 4.5.0
  * Move packaging to the Debian group under Salsa
  * d/copyright: Use https
  * d/changelog: Remove trailing whitespaces
  * d/changelog: Remove empty line at end of file
  * d/rules: Remove --parallel, it's the default now
  * Remove need to be root for building package and set Rules-Requires-Root: no
  * d/postinst: Remove block of code aimed at upgrades from v0.10.0
  * Add gbp.conf and salsa-ci.yml
  * Makefile: Add $(CPPFLAGS)

 -- Samuel Henrique <samueloph@debian.org>  Sun, 10 May 2020 15:06:00 +0100

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               po-debconf,
               po4a
Standards-Version: 3.9.8
#Vcs-Git: https://anonscm.debian.org/git/apt-build/apt-build.git
#Vcs-Browser: https://anonscm.debian.org/cgit/apt-build/apt-build.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-build.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-build.git

Package: apt-build
Architecture: any
Depends: apt (>= 0.8.16~exp3),
         apt-utils,
         debconf | debconf-2.0,
         devscripts,
         dpkg-dev (>= 1.9),
         g++,
         gcc,
         libappconfig-perl (>= 1.5),
         libapt-pkg-perl (>= 0.1.11),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.7.2~)
Recommends: build-essential,
            fakeroot
Suggests: gfortran
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

## apt-build 0.12.49

=== Makefile ===
--- 
+++ 
@@ -16,13 +16,13 @@
 	$(MAKE) -C man/
 
 $(APT_BUILD_WRAPPER): wrapper.c config.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^
 
 install:	$(APT_BUILD_WRAPPER) $(APT_BUILD)
-	$(INSTALL) -g 0 -o 0 -d $(BINDIR)
-	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD) $(BINDIR)
-	$(INSTALL) -g 0 -o 0 -d $(APT_BUILD_DIR)
-	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)
+	$(INSTALL) -d $(BINDIR)
+	$(INSTALL) -m 755 $(APT_BUILD) $(BINDIR)
+	$(INSTALL) -d $(APT_BUILD_DIR)
+	$(INSTALL) -m 755 $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)
 	for prog in $(WRAP_PROGRAMMS); do \
 		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$$prog; \
 	done

=== man/Makefile ===

all: %.1

%.1:
	po4a po4a.cfg

clean:
	po4a po4a.cfg
	rm -f apt-build.*.1

=== debian/changelog ===
apt-build (0.12.49) unstable; urgency=medium

  * QA upload.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * debian/po/{es.po, fr.po, it.po, pt.po, sv.po} converted to UTF-8

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:00:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                po-debconf,
                po4a
-Standards-Version: 3.9.8
-#Vcs-Git: https://anonscm.debian.org/git/apt-build/apt-build.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/apt-build/apt-build.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-build.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-build.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/apt-build.git
+Vcs-Browser: https://salsa.debian.org/debian/apt-build
 
 Package: apt-build
 Architecture: any

## apt-build 0.12.50

=== debian/changelog ===
apt-build (0.12.50) unstable; urgency=medium

  * QA upload.
  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.
  * Remove constraints unnecessary since buster.
  [ Alexei Kharchev ]
  * Reduced functionality of clean-build, clean-sources.
  * Add functions clean-all-builds, clean-all-sources.
  * Add option --noclean like --noupdate, but has not realised yet.
  * Add checking if any file (gcc cc g++ c++ make gfortran) exists in /usr/lib/apt-build/ already.
  [ Santiago Vila ]
  * Correctly declare charset=UTF-8 for po files in debian/po already coded as UTF-8.
  * Recode man/po/it.po and man/po/sv.po to UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Fri, 07 Jun 2024 12:55:00 +0200

## apt-build 0.12.51

=== Makefile ===
--- 
+++ 
@@ -24,10 +24,12 @@
 	$(INSTALL) -d $(APT_BUILD_DIR)
 	$(INSTALL) -m 755 $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)
 	for prog in $(WRAP_PROGRAMMS); do \
+		if [ -f "$(APT_BUILD_DIR)/$$prog" ]; then rm $(APT_BUILD_DIR)/$$prog ; fi; \
 		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$$prog; \
 	done
 ifneq ($(HOST_TYPE),)
 	for prog in gcc g++ gfortran; do \
+		if [ -f "$(APT_BUILD_DIR)/$(HOST_TYPE)-$$prog" ]; then rm $(APT_BUILD_DIR)/$(HOST_TYPE)-$$prog ; fi; \
 		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$(HOST_TYPE)-$$prog; \
 	done
 endif

=== debian/changelog ===
apt-build (0.12.51) unstable; urgency=medium

  * QA upload.
  * Add Romanian Debconf translation. Thanks to Remus-Gabriel Chelu. 
    (Closes: #1031141)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 08 Dec 2024 12:57:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
 
 Package: apt-build
 Architecture: any
-Depends: apt (>= 0.8.16~exp3),
+Depends: apt,
          apt-utils,
          debconf | debconf-2.0,
          devscripts,
-         dpkg-dev (>= 1.9),
+         dpkg-dev,
          g++,
          gcc,
-         libappconfig-perl (>= 1.5),
-         libapt-pkg-perl (>= 0.1.11),
+         libappconfig-perl,
+         libapt-pkg-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.15.7.2~)
+Pre-Depends: dpkg
 Recommends: build-essential,
             fakeroot
 Suggests: gfortran

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_install:
 	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
